Index: ecos.db
===================================================================
RCS file: /export/CVS/dave/ecos/packages/ecos.db,v
retrieving revision 1.1.1.2
diff -c -r1.1.1.2 ecos.db
*** ecos.db	15 Feb 2003 02:15:45 -0000	1.1.1.2
--- ecos.db	6 Mar 2003 05:51:34 -0000
***************
*** 232,237 ****
--- 232,248 ----
  	   on the PMC-Sierra Ocelot platform."
  }
  
+ package CYGPKG_DEVS_FLASH_OPENRISC_ORP {
+ 	alias 		{ "Support for flash memory for OpenRISC Reference Platform (ORP)"
+ 	                   flash_openrisc_orp }
+ 	directory	devs/flash/openrisc/orp
+ 	script		flash_openrisc_orp.cdl
+ 	hardware
+         description "
+            This package contains hardware support for AM29xxxxx flash memory
+ 	   on the OpenRISC Reference Platform."
+ }
+ 
  package CYGPKG_DEVS_FLASH_MIPS_VRC437X {
  	alias 		{ "Support for flash memory on VRC437X boards" flash_vrc437x }
  	directory	devs/flash/mips/vrc437x
***************
*** 4478,4480 ****
--- 4489,4526 ----
              eCos on a Allied Telesyn TS1000 (PPC855T) board."
  }
  
+ # --------------------------------------------------------------------------
+ # OpenRISC targets
+ 
+ package CYGPKG_HAL_OPENRISC {
+ 	alias		{ "OpenRISC HAL" hal_openrisc openrisc_hal }
+ 	directory	hal/openrisc/arch
+ 	script		hal_openrisc.cdl
+ 	hardware
+ 	description "
+ 	   The OpenRISC architecture HAL package provides generic
+            support for this processor architecture. It is also necessary to
+            select a specific target platform HAL package."  }
+ 
+ package CYGPKG_HAL_OPENRISC_ORP {
+ 	alias		{ "OpenRISC Reference Platform" hal_orp orp_hal }
+ 	directory	hal/openrisc/orp
+ 	script		hal_openrisc_orp.cdl
+ 	hardware
+ 	description "
+            The OpenRISC Reference Platform (ORP) package should be used
+            with ORP-compliant simulators or hardware. "
+ }
+ 
+ target ORP {
+ 	alias { "OpenRISC Refererence Platform" orp }
+ 	packages { CYGPKG_HAL_OPENRISC
+                    CYGPKG_HAL_OPENRISC_ORP
+ 	           CYGPKG_DEVS_FLASH_OPENRISC_ORP
+ 		   CYGPKG_DEVS_FLASH_AMD_AM29XXXXX
+ 	}
+         description "
+         The ORP (OpenRISC Reference Platform) target provides the packages
+         needed to run eCos in simulator or HW environments that conform to the 
+         OpenRISC Reference Platform."
+ }
